Bug 657373 - kmix does not restore volume setting; always comes up muted.
Summary: kmix does not restore volume setting; always comes up muted.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdemultimedia
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-25 16:17 UTC by John Griffiths
Modified: 2012-08-16 22:36 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:36:21 UTC
Type: ---


Attachments (Terms of Use)

Description John Griffiths 2010-11-25 16:17:12 UTC
Description of problem:
When logging in, kmix is always muted. The option to restore volume setting is set in the mixer settings but is not honored.

Version-Release number of selected component (if applicable):
kdemultimedia.i686                         6:4.5.3-1.fc14         @updates

How reproducible:
always

Actual results:
kmix is muted on log in.

Expected results:
kmix should honor the setting to set the volume level and be muted or un-muted as appropriate in accord with what the setting was at the previous log out.

Comment 1 Rex Dieter 2010-11-25 19:55:31 UTC
being 'muted' goes beyond resetting volume.  in my experience, this usually indicates a lower-level problem (usually driver related, esp when combined with pulseaudio's flat-volume feature).

For the latter, mind trying to set,
flat volumes = no
in /etc/pulse/daemon.conf

and restarting your session to see if that helps?

(Another test, disable kmix's 'restore volume' option, is it still muted every time on login?  If so, another indicator this is not in kmix's domain)

Comment 2 John Griffiths 2010-11-26 03:58:56 UTC
I changed /etc/pulse/daemon.conf to flat volumes = no and restarted session. Sound was not muted when I restarted the session. kmix still muted the sound.

I unchecked the "Restore volumes on login" and un-muted the sound and restarted the session. Sound was not muted and volume was restored.


I changed /etc/pulse/daemon.conf back to flat volumes = yes leaving the "Restore volumes on login" unchecked and restarted the session. The sound was not muted and the volume was restored.

So it seems that flat volumes = no or yes in /etc/pulse/daemon.conf has no effect, but un-checking "Restore volumes on login" causes the volume to be restored. Inverse logic.

Comment 3 John Griffiths 2010-11-26 04:01:15 UTC
Edit to first line. Seemed confusing to me, so it must be to others. Let me try again.

I changed /etc/pulse/daemon.conf to flat volumes = no and restarted session.
Sound was not muted when I logged out of the session. When I logged back in kmix  muted the sound.

I think that is more clear.

Comment 4 vitor.dominor 2011-05-21 01:27:25 UTC
In my case, same cause and same workaround, but different effect: volume always maxed out at session start. This happens with Kmix 3.8 in KDE 4.6.3 and pulseaudio 0.9.22.
Can it be some sort of a conflict between kmix and pulseaudio when attempting to restore volume.

Comment 5 Rex Dieter 2011-07-15 18:13:22 UTC
Yes, another option to try is to disable kmix's "Restore volumes on login" feature.

right click kmix in systray -> restore
then in the kmix window -> settings-> configure kmix

Comment 6 vitor.dominor 2011-07-16 20:04:00 UTC
Recently after making a clean install of Fedora 15 KDE spin I noticed that, by default, the said option "Restore volumes on login" was disabled and consequently the volume wasn't maxed out after kde login.
Nevertheless, after seeing your comment, Rex, I remembered to verify what would happen if I re-enabled it. I noticed at first the volume wouldn't be maxed out. But, if I manually maxed out the volume while the option was enabled and I restarted the kde session, the volume would be maxed out again (fine!). What is abnormal is the fact that after manually setting the volume lower, in the subsequent sessions, kmix would only remember the previous maxed out volume, as long as the aforementioned option was enabled. If I disabled and enabled it again, kmix would still remember to max out the volume. So the only workaround seems to be disable the option "Restore volumes on login".

Comment 7 Colin Guthrie 2012-04-25 22:36:54 UTC
I eventually found the problem here. It's related to kmixctl command line application which is unable to detect PulseAudio due to an incomplete check for which Glib dispatcher loop was used.

Should be fixed in Kmix 4.8.3

Comment 8 Fedora Update System 2012-04-26 02:14:56 UTC
kdemultimedia-4.8.2-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-6596/kdemultimedia-4.8.2-4.fc17

Comment 9 Fedora Update System 2012-04-26 12:41:11 UTC
kdemultimedia-4.6.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kdemultimedia-4.6.5-3.fc15

Comment 10 John Griffiths 2012-04-26 14:33:03 UTC
FC16 coming?

Comment 11 Rex Dieter 2012-04-26 14:44:49 UTC
with 4.8.3 coming soon, yes, but you can test out:
https://koji.fedoraproject.org/koji/buildinfo?buildID=315414
in the meantime.

Comment 12 Fedora Update System 2012-04-26 19:49:53 UTC
kdemultimedia-4.8.2-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kdemultimedia-4.8.2-4.fc16

Comment 13 Fedora Update System 2012-05-01 00:50:07 UTC
kdemultimedia-4.8.2-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-05-02 04:43:02 UTC
kdemultimedia-4.8.2-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-05-10 14:34:44 UTC
kdemultimedia-4.6.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora End Of Life 2012-08-16 22:36:24 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.